program BrainSpace;

uses
  zglHeader,
  u_game in 'u_game.pas',
  u_const in 'u_const.pas',
  u_var in 'u_var.pas',
  zglGui in 'zglGui.pas',
  u_player in 'u_player.pas',
  u_bullets in 'u_bullets.pas';


Begin
  zglLoad( 'Data/Engine/ZenGL.dll' );

  zgl_Reg( SYS_LOAD, @Init );
  zgl_Reg( SYS_DRAW, @Draw );
  zgl_Reg( SYS_UPDATE, @Update );
  zgl_Reg( SYS_EXIT, @Quit );

  timer_Add(@SlowProc, 100);

  wnd_SetCaption( 'Brain Space' );
  wnd_ShowCursor( FALSE );
  scr_SetOptions( sX,
    sY,
    REFRESH_MAXIMUM, FALSE, FALSE );

  zgl_Init;
End.
